/*
 * Created on 8. 8. 2017 8:36:15
 *
 */
package com.jh.boot.email;

import java.util.Base64;
import java.util.Base64.Encoder;

/**
 * The Class EmailAttachment.
 *
 * @author Jan Hrabal
 */
public class EmailAttachment {
    
	/** The name. */
    private String name;
    
    /** The mime type. */
    private String mimeType;

    /** The data. */
    //base 64
    private String data;

	/** The cid. */
    private String cid;
    
    /**
     * Gets the name.
     *
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the name.
     *
     * @param name the new name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * Gets the mime type.
     *
     * @return the mime type
     */
    public String getMimeType() {
        return mimeType;
    }

    /**
     * Sets the mime type.
     *
     * @param mimeType the new mime type
     */
    public void setMimeType(String mimeType) {
        this.mimeType = mimeType;
    }

    /**
     * Gets the data.
     *
     * @return the data
     */
    public String getData() {
        return data;
    }

    /**
     * Sets the data.
     *
     * @param data the new data
     */
    public void setData(String data) {
        this.data = data;
    }

    /**
     * Sets the data.
     *
     * @param bytes the new data
     */
    public void setData(byte[] bytes) {
    	if (bytes == null || bytes.length == 0) {
    		setData((String) null);
    		return;
    	}
    	
    	Encoder encoder = Base64.getEncoder();
		setData(new String(encoder.encode(bytes)));
    }
    
	/**
	 * Gets the cid.
	 *
	 * @return the cid
	 */
	public String getCid() {
		return cid;
	}

	/**
	 * Sets the cid.
	 *
	 * @param cid the new cid
	 */
	public void setCid(String cid) {
		this.cid = cid;
	}
}
