package com.jh.boot.template;

import java.util.Locale;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.StringUtils;

public class HibernateTemplateLoader implements TemplateLoader {

	@Autowired
	private HibernateTemplateRepository repository;
	
	
	@Override
	@Transactional
	public Template loadTemplate(String code, Locale locale) {
		Template t = null;
		if (locale != null) {
			if (StringUtils.hasText(locale.getCountry())) {
				t = repository.loadTemplate(code, locale.getLanguage() + "-" + locale.getCountry());
			}
			if (t == null) {
				t = repository.loadTemplate(code, locale.getLanguage());
			}
		}
		if (t == null) {
			t = repository.loadTemplate(code, null);
		}
		return t;
	}

}
