package com.jh.boot.web.error;

import java.util.Collection;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

/**
 * The Class ValidationFailedException.
 */
@ResponseStatus(value = HttpStatus.BAD_REQUEST)
public class ValidationFailedException extends RestApiException {
    
    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new validation failed exception.
     *
     * @param errors the errors
     */
    public ValidationFailedException(Collection<ErrorMessage> errors) {
        super(HttpStatus.BAD_REQUEST, errors);
        
    }

    /**
     * Instantiates a new validation failed exception.
     *
     * @param errors the errors
     */
    public ValidationFailedException(ErrorMessage... errors) {
        super(HttpStatus.BAD_REQUEST, errors);
        
    }

    
    
    
}
